package com.fundi.framework.common.instance;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.io.Serializable;
import java.util.ArrayList;

import com.fundi.framework.common.nl1.Messages;

public class OpenItem implements Serializable {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private static final long serialVersionUID = 1L;
	
	private String sourceObjectFullTitle = Messages.getString("OpenItem_0"); //$NON-NLS-1$
	private ArrayList<String> editorTitle = new ArrayList<String>();
	private ArrayList<String> editorAddress = new ArrayList<String>();
	
	public OpenItem() {
		
		super();
		// TODO Auto-generated constructor stub
	}

	public OpenItem(String sourceObjectFullTitle) {
		
		super();
		
		this.sourceObjectFullTitle = sourceObjectFullTitle;
	}
	
	public void setEditor(String title, String address) {
		
		int idx;
		
		if (editorTitle.contains(title)) {
			for (idx = 0; idx < editorTitle.size(); idx++) {
				if (editorTitle.get(idx).equals(title)) {
					editorAddress.set(idx, address);
				}
			}
		}
		else {
			editorTitle.add(title);
			editorAddress.add(address);
		}
	}
	
	public void removeEditor(String title) {
		
		int idx;
		
		for (idx = (editorTitle.size() - 1); idx >= 0; idx--) {
			if (editorTitle.get(idx).equals(title)) {
				editorTitle.remove(idx);
				editorAddress.remove(idx);
			}
		}
	}
	
	public int getEditorCount() {
		
		return editorAddress.size();
	}

	public String getSourceObjectFullTitle() {
		
		return sourceObjectFullTitle;
	}
	
	public String getEditorTitle(int idx) {
		
		return editorTitle.get(idx);
	}
	
	public String getEditorAddress(int idx) {
		
		return editorAddress.get(idx);
	}
	
	public String getEditorAddress(String title) {
		
		int idx;
		
		for (idx = 0; idx < editorTitle.size(); idx++) {
			if (editorTitle.get(idx).equals(title)) {
				if (editorAddress.size() >= (idx + 1)) {
					return editorAddress.get(idx);
				}
			}
		}
		
		return null;
	}
}
